SYSCTL(8)

BEZEICHNUNG
sysctl - Kernelparameter zur Laufzeit konfigurieren

ÜBERSICHT
sysctl [Optionen] [Variable[=Wert]] […]
sysctl -p [Datei oder regulärer_Ausdruck] […]

BESCHREIBUNG
sysctl wird dazu verwendet, Kernelparameter zur Laufzeit zu ändern. Die verfügbaren Parameter sind unter /proc/sys/ aufgelistet. Für die sysctl-Unterstützung in Linux ist Procfs notwendig. Sie können sysctl sowohl zum Lesen als auch zum Schreiben von Sysctl-Daten verwenden.

PARAMETER

Variable
    bezeichnet den Namen des Schlüssels, aus dem gelesen werden soll. Ein Beispiel ist kernel.ostype. Anstelle von ».« wird auch »/« als Trenner akzeptiert.

Variable=Wert
    Um einen Schlüssel zu setzen, verwenden Sie die Form Variable=Wert, wobei die Variable der Schlüssel ist und Wert der Wert, auf den er gesetzt werden soll. Wenn der Wert Anführungszeichen oder Zeichen enthält, die von der Shell ausgewertet werden, müssen Sie den Wert in doppelte Anführungszeichen (") einschließen.

-n, --values
    deaktiviert die Ausgabe des Schlüsselnamens, wenn Werte ausgegeben werden.

-e, --ignore
    ignoriert Fehlermeldungen über unbekannte Schlüssel.

-N, --names
    gibt nur die Namen aus. Dies könnte mit Shells nützlich sein, die über eine programmierbare Vervollständigung verfügen.

-q, --quiet
    bewirkt, dass die gesetzten Werte nicht in die Standardausgabe geschrieben werden.

-w, --write
    gibt an, dass alle Argumente einen zu setzenden Schlüssel vorschreiben.

-p[DATEI], --load[=DATEI]
    lädt Sysctl-Einstellungen aus der angegebenen Datei oder aus /etc/sysctl.conf, falls keine Datei angegeben ist. Die Angabe von - als Dateiname bewirkt, dass die Daten aus der Standardeingabe gelesen werden. Mit dieser Option sieht sysctl Argumente als Dateien an, die in der Reihenfolge gelesen werden, in der sie angegeben sind. Das Datei-Argument kann als regulärer Ausdruck angegeben werden.

-a, --all
    zeigt alle aktuell verfügbaren Werte an.

--deprecated
    schließt veraltete Parameter in die Auflistung der Werte mit --all ein.

-b, --binary
    gibt Werte ohne Zeilenumbrüche aus.

--system
    lädt Einstellungen aus allen systemweiten Konfigurationsdateien. Die Dateien werden aus den Verzeichnissen in der folgenden Liste in der angegebenen Reihenfolge von oben nach unten gelesen. Sobald eine Datei eines angegebenen Namens geladen ist, werden jegliche Dateien gleichen Namens in darauf folgenden Verzeichnissen ignoriert.
    /run/sysctl.d/*.conf
    /etc/sysctl.d/*.conf
    /usr/local/lib/sysctl.d/*.conf
    /usr/lib/sysctl.d/*.conf
    /lib/sysctl.d/*.conf
    /etc/sysctl.conf

-r, --pattern Muster
    wendet nur Einstellungen an, die dem angegebenen Muster entsprechen. Das Muster kann ein erweiterter regulärer Ausdruck sein.

-A  Alias für -a

-d  Alias für -h

-f  Alias für -p

-X  Alias für -a

-o  bewirkt nichts; ist nur zwecks BSD-Kompatibilität vorhanden.

-x  bewirkt nichts; ist nur zwecks BSD-Kompatibilität vorhanden.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

BEISPIELE
/sbin/sysctl -a
/sbin/sysctl -n kernel.hostname
/sbin/sysctl -w kernel.domainname="example.com"
/sbin/sysctl -p/etc/sysctl.conf
/sbin/sysctl -a --pattern forward
/sbin/sysctl -a --pattern forward$
/sbin/sysctl -a --pattern 'net.ipv4.conf.(eth|wlan)0.arp'
/sbin/sysctl --system --pattern '^net.ipv6'

VERALTETE PARAMETER
Die Parameter base_reachable_time und retrans_time sind veraltet. Der Befehl sysctl erlaubt keine Änderungen der Werte dieser Parameter. Benutzer, die nach wie vor veraltete Kernel-Schnittstellen verwenden, sollten die Werte auf anderen Wegen in das /proc-Dateisystem befördern. Zum Beispiel:

echo 256 > /proc/sys/net/ipv6/neigh/eth0/base_reachable_time

DATEIEN
/proc/sys
/etc/sysctl.conf

SIEHE AUCH
sysctl.conf(5) regex(7)

AUTOR
George Staikos (staikos@0wned.org)

FEHLER MELDEN
Bitte schicken Sie Fehlerberichte (auf Englisch) an procps@freelists.org

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.